Name:		rtpproxy
Version:	1.2.1
Release:	11.git2121113%{?dist}
Summary:	A symmetric RTP proxy
Group:		Applications/Internet
License:        BSD
URL:		http://www.rtpproxy.org
#Source0:	http://b2bua.org/chrome/site/%{name}-%{version}.tar.gz
## git clone git://sippy.git.sourceforge.net/gitroot/sippy/rtpproxy
## cd rtpproxy
## git archive --format=tar --prefix=rtpproxy-1.2.1/ "fff62d0c4de4a52bc1703be46f446bcb1a06f17f" | gzip > ../rtpproxy-1.2.1-git.tar.gz
Source0:	%{name}-%{version}-git.tar.gz
%if 0%{?fedora}
BuildRequires:	systemd
%endif
Patch1:		rtpproxy-0001-Initial-commit-of-files-required-for-systemd.patch
Patch2:		rtpproxy-0002-Remove-more-autogenerated-stuff.patch
Patch3:		rtpproxy-0003-Initial-support-for-bcg729.patch
# See https://bugzilla.redhat.com/626863
Patch4:		rtpproxy-0004-Allow-group-users-write-to-the-controlling-UNIX-sock.patch
Patch5:		rtpproxy-0005-Fedora-related-fix-for-docbook-path.patch
Patch6:		rtpproxy-0006-Updated-SysV-init-script-for-legacy-systemd.patch
Patch7:		rtpproxy-0007-Remove-AC_PROG_MKDIR_P-in-EL5.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gsm-devel
BuildRequires:	libxslt
BuildRequires:	docbook-style-xsl
%if 0%{?_with_bcg729}
BuildRequires:	bcg729-devel
%endif
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires(pre):	/usr/sbin/useradd
Requires(post):	/sbin/chkconfig
Requires(preun):/sbin/chkconfig
Requires(preun):/sbin/service


%description
This is symmetric RTP proxy designed to be used in conjunction with
the SIP Express Router (SER) or any other SIP proxy capable of
rewriting SDP bodies in SIP messages that it processes.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .allow_rw_for_group
%patch5 -p1
%patch6 -p1
%if 0%{?el5}
%patch7 -p1
%endif


%build
autoreconf -ivf
%configure
make %{?_smp_mflags}
make rtpproxy.8


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -D -p -m 0644 rpm/%{name}.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
%if 0%{?fedora} > 14
# install systemd files
install -D -m 0644 -p rpm/%{name}.service $RPM_BUILD_ROOT%{_unitdir}/%{name}.service
install -D -m 0644 -p rpm/%{name}.tmpfiles.conf $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d/%{name}.conf
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{name}
%else
# install init-script
install -D -p -m 0755 rpm/%{name}.init $RPM_BUILD_ROOT%{_initrddir}/%{name}
%endif
install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}


%clean
rm -rf %{buildroot}


%pre
getent passwd %{name} >/dev/null || \
/usr/sbin/useradd -r -c "RTPProxy service"  -d %{_localstatedir}/lib/%{name} -s /sbin/nologin %{name} 2>/dev/null || :


%post
%if 0%{?fedora} > 14
if [ $1 -eq 1 ] ; then
	# Initial installation
	/usr/bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
%else
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add s%{name} || :
fi
%endif


%preun
%if 0%{?fedora} > 14
if [ $1 -eq 0 ] ; then
	# Package removal, not upgrade
	/usr/bin/systemctl --no-reload disable %{name}.service > /dev/null 2>&1 || :
	/usr/bin/systemctl stop %{name}.service > /dev/null 2>&1 || :
fi
%else
if [ $1 -eq 0 ]; then
	/sbin/service %{name} stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del %{name} || :
fi
%endif


%files
%doc AUTHORS COPYING README README.remote
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%if 0%{?fedora} > 14
%{_unitdir}/%{name}.service
%{_sysconfdir}/tmpfiles.d/%{name}.conf
%dir %attr(0755, rtpproxy, rtpproxy) %{_localstatedir}/run/%{name}
%else
%{_initrddir}/%{name}
%endif
%{_bindir}/rtpproxy
%{_bindir}/makeann
%{_mandir}/man8/rtpproxy.8*
%dir %attr(0750, rtpproxy, rtpproxy) %{_localstatedir}/lib/%{name}


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-11.git2121113
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 22 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-10.git2121113
- Revert systemd macros

* Tue Jan 22 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-9.git2121113
- Latest git snapshot

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 27 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-7
- Fixed systemd installation

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 23 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-5
- Works with systemd

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 1.2.1-3
- Rebuilt for gcc bug 634757

* Sun Sep 19 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-2
- Allow group users to write to controlling UNIX-socket (rhbz #626863)

* Sun Nov  1 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1
- Brand new init-script

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 27 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Ver. 1.2.0

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.4.beta.200901120
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.2-0.3.beta.200901120
- Snapshot 1.2.beta.200901120
- Added sysconfig file

* Mon Oct  6 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.2-0.2.alpha.200807211
- Added missing BuildRequires
- Added init-script

* Wed Aug 13 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.2-0.1.alpha.200807211
- Snapshot 1.2.alpha.200807211

* Wed Jun 18 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.1-1
- Stable ver. 1.1

* Fri May 16 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.1-0.3.beta.200804031
- Snapshot 20080403.1

* Sat Mar 29 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.1-0.2.beta.20080226
- Snapshot 20080226
- Drop upstreamed patch

* Fri Feb 15 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.1-0.1.beta.20071218
- Ver. 1.1.beta.20071218 (we need it because openser-1.3.0 works only with it)

* Mon Feb  4 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.0-1
- Ver. 1.0

* Wed Nov 22 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3-1
- First version for Fedora Extras

